
QGIS Application - Bug report #7675

objects do not stay grouped in print composer

2013-04-22 07:27 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16592

Description

After closing a project and reopening it, the object that were grouped are not grouped anymore.

It affects both master and 1.8.

Associated revisions

Revision 745fcbfe - 2013-07-20 05:31 PM - Jürgen Fischer

composer: save/restore item groups (fixes #7675)

History

#1 - 2013-04-22 09:10 AM - Filipe Dias

Although it's not regression, I think it affects a critical functionality. IMHO it should be a Blocker.

#2 - 2013-05-29 08:35 AM - Paolo Cavallini

- Priority changed from High to Normal

IMHO is not very serious (no data loss, more of an annoyance)

#3 - 2013-05-29 11:54 AM - Giovanni Manghi

Paolo Cavallini wrote:

IMHO is not very serious (no data loss, more of an annoyance)

for complex layouts, that may take days to complete, it is a quite a serious issue.

#4 - 2013-07-20 04:02 AM - Filipe Dias

- Priority changed from Normal to Severe/Regression

I managed to test this with qgis 1.7.4 on windows 7 using the .exe installer and it worked. I have no way of testing it on Linux.
#5 - 2013-07-20 08:32 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"745fcbfe70922798b1355e934d5bebbb392449fb".

#6 - 2013-07-20 08:44 AM - Filipe Dias

Thank you Jurgen. This bug has been a huge headache for me.
